"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@nestjs/common");
function not_impl(res) {
    if (res) {
        return res.status(common_1.HttpStatus.NOT_IMPLEMENTED).json('not_impl');
    }
    throw new common_1.HttpException('not_impl', common_1.HttpStatus.NOT_IMPLEMENTED);
}
exports.not_impl = not_impl;
function ok(res, data) {
    return res.status(common_1.HttpStatus.OK).json(data);
}
exports.ok = ok;
function bad_request(res, e) {
    if (bad_request.log_error) {
        console.error(e);
    }
    return res.status(common_1.HttpStatus.BAD_REQUEST).json(e);
}
exports.bad_request = bad_request;
(function (bad_request) {
    bad_request.log_error = true;
})(bad_request = exports.bad_request || (exports.bad_request = {}));
/** @alias bad_request */
exports.badRequest = bad_request;
function rest_return(res, p, override) {
    var n = arguments.length;
    return p
        .then(function (x) {
        if (n === 3) {
            x = override;
        }
        if (x === undefined) {
            x = '';
        }
        ok(res, x);
        return x;
    })
        .catch(function (e) {
        bad_request(res, e);
        return Promise.reject(e);
    });
}
exports.rest_return = rest_return;
(function (rest_return) {
    /** @deprecated moved to bad_request.log_error */
    rest_return.log_error = true;
})(rest_return = exports.rest_return || (exports.rest_return = {}));
function html_return(res, p, override) {
    var n = arguments.length;
    return p
        .then(function (x) {
        res.status(common_1.HttpStatus.OK).setHeader('content-type', 'text/html');
        if (n === 3) {
            x = override;
        }
        if (x === undefined) {
            x = '';
        }
        res.end(x);
        return x;
    })
        .catch(function (e) {
        bad_request(res, e);
        return Promise.reject(e);
    });
}
exports.html_return = html_return;
(function (html_return) {
    /** @deprecated moved to bad_request.log_error */
    html_return.log_error = true;
})(html_return = exports.html_return || (exports.html_return = {}));
function getTokenFromHeader(req, cookieName) {
    if (cookieName === void 0) { cookieName = 'token'; }
    var token = req.header('Authorization');
    if (token) {
        token = token.replace(/^Bearer /, '');
    }
    else {
        token = req.header('cookie');
        if (token) {
            token.split(';').forEach(function (s) {
                var _a = s.split('='), key = _a[0], value = _a[1];
                if (key === cookieName) {
                    token = value;
                }
            });
        }
    }
    return token;
}
exports.getTokenFromHeader = getTokenFromHeader;
